diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_sql.py
index ffe4a11dc..0c96644d8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_sql.py
@@ -95,7 +95,7 @@ class DomainReverseEngineeredSQLTestCase(BaseTestGenerator):
             get_response = self.get_sql()
 
             expected_response_code = self.expected_data['status_code']
-            self.assertEquals(get_response.status_code, expected_response_code)
+            self.assertEqual(get_response.status_code, expected_response_code)
             orig_sql = json.loads(get_response.data.decode('utf-8'))
 
             # Replace multiple spaces with one space and check the expected sql
@@ -108,7 +108,7 @@ class DomainReverseEngineeredSQLTestCase(BaseTestGenerator):
                                              self.test_data['domain_sql'],
                                              self.server["username"])
 
-            self.assertEquals(sql, expected_sql)
+            self.assertEqual(sql, expected_sql)
 
             domain_utils.delete_domain(self.server,
                                        db_name,
@@ -129,14 +129,14 @@ class DomainReverseEngineeredSQLTestCase(BaseTestGenerator):
                     get_response = self.get_sql()
 
                     expected_response_code = self.expected_data['status_code']
-                    self.assertEquals(get_response.status_code,
+                    self.assertEqual(get_response.status_code,
                                       expected_response_code)
 
             if hasattr(self, "wrong_domain_id"):
                 self.domain_id = 99999
                 get_response = self.get_sql()
                 expected_response_code = self.expected_data['status_code']
-                self.assertEquals(get_response.status_code,
+                self.assertEqual(get_response.status_code,
                                   expected_response_code)
 
     def tearDown(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
index 6a01b547d..67ea5cd1c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
@@ -96,7 +96,7 @@ class ForeignTableAddTestCase(BaseTestGenerator):
             str(self.schema_id) + '/', data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """ This function disconnect the test database and delete test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
index 43641a54e..dd51aa970 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
@@ -86,7 +86,7 @@ class ForeignTableDeleteTestCase(BaseTestGenerator):
             str(self.ft_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """ This function disconnect the test database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete_multiple.py
index 73e18afe9..432cec063 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete_multiple.py
@@ -90,7 +90,7 @@ class ForeignTableDeleteMultipleTestCase(BaseTestGenerator):
             follow_redirects=True,
             data=json.dumps(data))
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """ This function disconnect the test database. """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
index d8c20e9c0..623950cc5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
@@ -81,7 +81,7 @@ class ForeignTableGetTestCase(BaseTestGenerator):
                                    str(self.ft_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """ This function disconnect the test database and delete test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
index ae6752c73..99f9552f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
@@ -95,7 +95,7 @@ class ForeignTablePutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
     def tearDown(self):
         """ This function disconnect the test database and delete test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
index 24647349a..79d4c1e3b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
@@ -80,7 +80,7 @@ class FTSConfiguraionAddTestCase(BaseTestGenerator):
             data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_copyConfig.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_copyConfig.py
index 3f2609001..1dce50fd3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_copyConfig.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_copyConfig.py
@@ -108,7 +108,7 @@ class FTSConfigurationDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
index 0aeedd355..f7e4fa0f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
@@ -75,7 +75,7 @@ class FTSConfDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' +
             str(self.fts_conf_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
         negative_delete_response = self.tester.delete(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -84,7 +84,7 @@ class FTSConfDeleteTestCase(BaseTestGenerator):
             str(self.schema_id) + '/' +
             str(0),
             follow_redirects=True)
-        self.assertEquals(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 500)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete_multiple.py
index 4facacc35..43b4209f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete_multiple.py
@@ -79,7 +79,7 @@ class FTSConfDeleteMultipleTestCase(BaseTestGenerator):
             follow_redirects=True,
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_dependency_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_dependency_dependent.py
index 2be915a85..5ff52007c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_dependency_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_dependency_dependent.py
@@ -92,7 +92,7 @@ class FTSConfigurationDependencyDependentTestCase(BaseTestGenerator):
             response = self.get_dependency_dependent()
             actual_response_code = response.status_code
             expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_dependency_dependent(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
index 21eeb9bc9..9e5effead 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
@@ -71,7 +71,7 @@ class FTSConfGetTestCase(BaseTestGenerator):
             str(self.fts_conf_id),
             content_type='html/json')
 
-        self.assertEquals(get_response.status_code, 200)
+        self.assertEqual(get_response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_dictionaries.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_dictionaries.py
index 391e4efbe..1c2ef1f58 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_dictionaries.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_dictionaries.py
@@ -109,7 +109,7 @@ class FTSConfigurationDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_nodes.py
index e81865e0d..a74744dce 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_nodes.py
@@ -129,7 +129,7 @@ class FTSConfigurationNodesTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_sql.py
index 20aca7cf2..b59286468 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get_sql.py
@@ -111,7 +111,7 @@ class FTSConfigurationDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_parsers.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_parsers.py
index 86bb8ef24..f9e90ba6a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_parsers.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_parsers.py
@@ -108,7 +108,7 @@ class FTSConfigurationDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
index 3b97a1a55..76d4cecbc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
@@ -87,7 +87,7 @@ class FTSConfPutTestCase(BaseTestGenerator):
             str(self.fts_conf_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
         negative_put_response = self.tester.put(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -97,7 +97,7 @@ class FTSConfPutTestCase(BaseTestGenerator):
             str(0),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(negative_put_response.status_code, 500)
+        self.assertEqual(negative_put_response.status_code, 500)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
@@ -187,7 +187,7 @@ class FTSConfDictPutTestCase(BaseTestGenerator):
             str(self.fts_conf_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
         # check again whether dictionary is schema qualified
         get_response = self.tester.get(
@@ -200,7 +200,7 @@ class FTSConfDictPutTestCase(BaseTestGenerator):
         response_data = json.loads(get_response.data)
         res_dictname = response_data["tokens"][0]["dictname"]
 
-        self.assertEquals(dictname, res_dictname[0])
+        self.assertEqual(dictname, res_dictname[0])
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_tokens.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_tokens.py
index cf13c134f..a973b82c0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_tokens.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_tokens.py
@@ -110,7 +110,7 @@ class FTSConfigurationDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_config and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
index 504817b49..c7b36dd2b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
@@ -75,7 +75,7 @@ class FtsDictionaryAddTestCase(BaseTestGenerator):
             data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts dictionaries and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
index 60dd87b51..f85c939c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
@@ -78,7 +78,7 @@ class FtsDictionaryDeleteTestCase(BaseTestGenerator):
             str(self.fts_dict_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
         negative_delete_response = self.tester.delete(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -88,7 +88,7 @@ class FtsDictionaryDeleteTestCase(BaseTestGenerator):
             str(0),
             follow_redirects=True)
 
-        self.assertEquals(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 500)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete_multiple.py
index c87b10f90..9bb243a39 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete_multiple.py
@@ -94,7 +94,7 @@ class FtsDictionaryDeleteMultipleTestCase(BaseTestGenerator):
             content_type='html/json',
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_dependency_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_dependency_dependent.py
index 0b2dea079..a65faa58e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_dependency_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_dependency_dependent.py
@@ -92,7 +92,7 @@ class FTSDictionariesDependencyDependentTestCase(BaseTestGenerator):
             response = self.get_dependency_dependent()
             actual_response_code = response.status_code
             expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_dependency_dependent(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_fetch_templates.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_fetch_templates.py
index 2f19db086..598495306 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_fetch_templates.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_fetch_templates.py
@@ -109,7 +109,7 @@ class FTSDictionariesDependencyDependentTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_dict and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
index ea32d2260..9d55b18a5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
@@ -69,7 +69,7 @@ class FtsDictionaryGetTestCase(BaseTestGenerator):
                                    str(self.fts_dict_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts dictionaries and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get_nodes.py
index afa06bf91..43a3cb78e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get_nodes.py
@@ -129,7 +129,7 @@ class FTSDictionariesNodesTestCase(BaseTestGenerator):
 
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function delete the fts_dict and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
index 0fe1aa840..d593d1b9f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
@@ -86,7 +86,7 @@ class FtsDictionaryPutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
         negative_put_response = self.tester.put(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -97,7 +97,7 @@ class FtsDictionaryPutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(negative_put_response.status_code, 500)
+        self.assertEqual(negative_put_response.status_code, 500)
 
     def tearDown(self):
         """This function delete the fts dictionaries and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_add.py
index f99faf342..2187a3a79 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_add.py
@@ -71,7 +71,7 @@ class FtsParserAddTestCase(BaseTestGenerator):
             data=json.dumps(self.data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the fts_parser and disconnect the test
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py
index 18448b871..8aae4a518 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete.py
@@ -76,7 +76,7 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
             str(self.fts_parser_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
         negative_delete_response = self.tester.delete(
             self.url + str(utils.SERVER_GROUP) + '/' +
@@ -86,7 +86,7 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
             str(0),
             follow_redirects=True)
 
-        self.assertEquals(negative_delete_response.status_code, 500)
+        self.assertEqual(negative_delete_response.status_code, 500)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete_multiple.py
index 735f63bbe..23682c134 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_delete_multiple.py
@@ -94,7 +94,7 @@ class FtsParserDeleteMultipleTestCase(BaseTestGenerator):
             content_type='html/json',
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        self.assertEqual(delete_response.status_code, 200)
 
     def tearDown(self):
         """This function disconnect the test database."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_dependency_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_dependency_dependent.py
index 546db4601..3b58c2ccf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_dependency_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/tests/test_fts_parser_dependency_dependent.py
@@ -92,7 +92,7 @@ class FTSParsersDependencyDependentTestCase(BaseTestGenerator):
             response = self.get_dependency_dependent()
             actual_response_code = response.status_code
             expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def get_dependency_dependent(self):
         """
